## javax.help.search
Class ConfigFile

    java.lang.Object
      javax.help.search.ConfigFile

public class ConfigFile
extends java.lang.Object

Describes and parses the configuration file for the full-text search indexer.

See Also:
  `Indexer`

Constructor Summary
`ConfigFile(java.lang.String configFile, java.util.Vector files, boolean noStopWords)` Creates a configuration file.

Method Summary
`java.util.Vector` `getFiles()` Gets the list of files from a config file.
`java.util.Enumeration` `getStopWords()` Returns the list of stopwords from a config file.
`java.lang.String` `getURLString(java.lang.String file)` Returns the URL filename of a file in String format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigFile

    public ConfigFile(java.lang.String configFile,
                      java.util.Vector files,
                      boolean noStopWords)

  Creates a configuration file.

Method Detail

### getURLString

    public java.lang.String getURLString(java.lang.String file)

  Returns the URL filename of a file in String format.

### getStopWords

    public java.util.Enumeration getStopWords()

  Returns the list of stopwords from a config file.

### getFiles

    public java.util.Vector getFiles()

  Gets the list of files from a config file.